Package ru.bitel.bgbilling.plugins.assistant.server.bean

# Class AssistantRequest

java.lang.Object
ru.bitel.bgbilling.plugins.assistant.server.bean.AssistantRequest

public class AssistantRequest extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FIELDS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistantRequest(AssistantAction assistantAction, String data)`
  `AssistantRequest(AssistantAction assistantAction, String data, AssistantButton button)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssistantAction`
  `getAssistantAction()`
  `AssistantButton`
  `getButton()`
  `int`
  `getContractId()`
  `org.json.JSONObject`
  `getData()`
  `BigDecimal`
  `getFieldBigDecimal(String key)`
  `LocalDate`
  `getFieldDate(String key)`
  `int`
  `getFieldInt(String key)`
  `Period`
  `getFieldPeriod(String key)`
  `org.json.JSONObject`
  `getFields()`
  `String`
  `getFieldString(String key)`
  `int`
  `getMasterId()`
  `void`
  `setMasterId(int masterId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FIELDS

    public static final String FIELDS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AssistantRequest

    public AssistantRequest(AssistantAction assistantAction, String data)

  - ### AssistantRequest

    public AssistantRequest(AssistantAction assistantAction, String data, AssistantButton button)

- ## Method Details

  - ### getAssistantAction

    public AssistantAction getAssistantAction()

  - ### getButton

    public AssistantButton getButton()

  - ### getData

    public org.json.JSONObject getData()

  - ### getContractId

    public int getContractId()

  - ### getMasterId

    public int getMasterId()

  - ### setMasterId

    public void setMasterId(int masterId)

  - ### getFieldInt

    public int getFieldInt(String key)

  - ### getFieldString

    public String getFieldString(String key)

  - ### getFieldDate

    public LocalDate getFieldDate(String key)

  - ### getFieldPeriod

    public Period getFieldPeriod(String key)
    Parameters:
      `key` -
    Returns:

  - ### getFieldBigDecimal

    public BigDecimal getFieldBigDecimal(String key)

  - ### getFields

    public org.json.JSONObject getFields()